### Method

# Phosh DBusDisplayConfig get_backlight

#### Declaration [src]

    GVariant*
    phosh_dbus_display_config_get_backlight (
      PhoshDBusDisplayConfig* object
    )

#### Description [src]

Gets the value of the “Backlight” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_dbus_display_config_dup_backlight()` if on another thread.

This method is not directly available to language bindings.

Gets property | `Phosh.DBusDisplayConfig:backlight`

#### Return value

Type: `GVariant`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The returned data is owned by the instance.
The return value can be `NULL`.